Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 396603003: Change "FormatException.position" to be named "offset". (Closed)

Created:
5 years, 4 months ago by Lasse Reichstein Nielsen
Modified:
5 years, 3 months ago
Reviewers:
nweiz
CC:
reviews_dartlang.org
Visibility:
Public.

Description

Change "FormatException.position" to be named "offset". Address comments on SpanFormatException changes. R=nweiz@google.com Committed: https://code.google.com/p/dart/source/detail?r=38373 Committed: https://code.google.com/p/dart/source/detail?r=38378 Committed: https://code.google.com/p/dart/source/detail?r=38379

Patch Set 1 #

Patch Set 2 : Include changes to SpanFormatException #

Total comments: 1

Patch Set 3 : Made version update a minor-version increment to 0.9.4 #

Patch Set 4 : Revert change again, didn't merge correctly with 0.9.3 version of source_maps. #

Patch Set 5 : Reapply change, with necessary fixes in span_execption.dart #

Unified diffs Side-by-side diffs Delta from patch set Stats (+59 lines, -42 lines) Patch
M pkg/source_maps/CHANGELOG.md View 1 2 4 1 chunk +4 lines, -0 lines 0 comments Download
M pkg/source_maps/lib/span.dart View 1 2 3 4 1 chunk +4 lines, -3 lines 0 comments Download
M pkg/source_maps/pubspec.yaml View 1 2 4 1 chunk +1 line, -1 line 0 comments Download
M pkg/source_span/lib/src/span_exception.dart View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M sdk/lib/core/exceptions.dart View 1 2 4 4 chunks +46 lines, -34 lines 0 comments Download
M tests/corelib/format_exception_test.dart View 4 2 chunks +3 lines, -3 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Lasse Reichstein Nielsen
5 years, 4 months ago (2014-07-15 09:22:41 UTC) #1
nweiz
It looks like this doesn't have the changes to the actual SpanFormatException class?
5 years, 4 months ago (2014-07-15 18:34:38 UTC) #2
Lasse Reichstein Nielsen
On 2014/07/15 18:34:38, nweiz wrote: > It looks like this doesn't have the changes to ...
5 years, 4 months ago (2014-07-15 18:37:00 UTC) #3
Lasse Reichstein Nielsen
PTAL
5 years, 3 months ago (2014-07-17 07:15:19 UTC) #4
nweiz
lgtm, thanks! https://codereview.chromium.org/396603003/diff/20001/pkg/source_maps/pubspec.yaml File pkg/source_maps/pubspec.yaml (right): https://codereview.chromium.org/396603003/diff/20001/pkg/source_maps/pubspec.yaml#newcode10 pkg/source_maps/pubspec.yaml:10: version: 0.9.2+4 Now that I think of ...
5 years, 3 months ago (2014-07-17 18:40:09 UTC) #5
Lasse Reichstein Nielsen
Committed patchset #3 manually as r38373 (presubmit successful).
5 years, 3 months ago (2014-07-18 08:22:41 UTC) #6
Lasse Reichstein Nielsen
Had to go to 0.9.4 since someone else added 0.9.3. You can push it now ...
5 years, 3 months ago (2014-07-18 08:24:06 UTC) #7
Lasse Reichstein Nielsen
Committed patchset #4 manually as r38378 (presubmit successful).
5 years, 3 months ago (2014-07-18 09:23:07 UTC) #8
Lasse Reichstein Nielsen
5 years, 3 months ago (2014-07-18 09:25:57 UTC) #9
Message was sent while issue was closed.
Committed patchset #5 manually as r38379 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698